
#property indicator_chart_window

extern int     X.Offset    = 200,
               Y.Offset    = 2,
               DAYS        = 10,
               Font_Size   = 9,
               Window      = 0;
extern color   Title_Color = DeepSkyBlue,
               Value_Color = White;

double ATR_TDay_0,
       ATR_YDay_0,
       ATR_XDay_0,
       ATR_XTotal,
       PP_XTotal,
       PPO_TDay_0,
       PPO_YDay_0,
       PipShift,
       Trend_Range_Ratio;

string prefix = "ADTR_PP",
       name;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+

int init()
{
   return(0);
}
int deinit()
{
   for(int i = ObjectsTotal() - 1; i >= 0; i--)
   {
       string label = ObjectName(i);
       if(StringSubstr(label, 0, 7) == prefix)
          ObjectDelete(label);   
   }
   return(0);
}


//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+

int start()
  {
   
   int i,t,y;
      
   ATR_TDay_0=(iHigh(Symbol(),1440,0) - iLow(Symbol(),1440,0));
   ATR_YDay_0=(iHigh(Symbol(),1440,1) - iLow(Symbol(),1440,1));
   ATR_XTotal=0;
   for (i=1;i<=DAYS;i++)
   {
     ATR_XTotal=ATR_XTotal+(iHigh(Symbol(),1440,i) - iLow(Symbol(),1440,i));
   }
   PPO_TDay_0=0;
   for (t=0;t<=287;t++)
   {
    PPO_TDay_0=PPO_TDay_0+MathAbs(iHigh(Symbol(),5,t) - iLow(Symbol(),5,t));
   }
   PPO_YDay_0=0;
   for (y=288;y<=575;y++)
   { 
    PPO_YDay_0=PPO_YDay_0+MathAbs(iHigh(Symbol(),5,y) - iLow(Symbol(),5,y));
   }
   PP_XTotal=0;
   for (i=1;i<=DAYS*24*12;i++)
   {
     PP_XTotal=PP_XTotal+MathAbs(iHigh(Symbol(),5,i) - iLow(Symbol(),5,i));
   }
   
   ATR_XTotal = ATR_XTotal/(DAYS);
   PP_XTotal = PP_XTotal/(DAYS);
   
   PipShift=(iClose(Symbol(),1440,0) - iClose(Symbol(),1440,DAYS))/Point;
   if (PipShift==0)  PipShift=1;
   Trend_Range_Ratio=(PipShift/PP_XTotal)*(ATR_XTotal/PP_XTotal);

   name = prefix +"Todays_Pips_Title";    objectCreate(name,"ATR Today    "                                ,X.Offset    ,Y.Offset   ,Title_Color);
   name = prefix +"Todays_Pips_Value";    objectCreate(name,DoubleToStr(ATR_TDay_0/Point,0)+" Pips"        ,X.Offset+90 ,Y.Offset   ,Value_Color);
   name = prefix +"Yesterday_Pips_Title"; objectCreate(name,"ATR Yesterday"                                ,X.Offset    ,Y.Offset+14,Title_Color);
   name = prefix +"Yesterday_Pips_Value"; objectCreate(name,DoubleToStr(ATR_YDay_0/Point,0)+" Pips"        ,X.Offset+90 ,Y.Offset+14,Value_Color);
   name = prefix +"ATDR_Title";           objectCreate(name,DAYS+" Day Avg."                               ,X.Offset    ,Y.Offset+30,Title_Color);
   name = prefix +"ADTR_Value";           objectCreate(name,DoubleToStr(ATR_XTotal/Point,0)+" Pips"        ,X.Offset+90 ,Y.Offset+30,Value_Color);
   name = prefix +"PP_Title";             objectCreate(name,DAYS+" Day Avg."                               ,X.Offset+145,Y.Offset+30,Title_Color);
   name = prefix +"PP_Value";             objectCreate(name,DoubleToStr(PP_XTotal/Point,0)+" Pips"         ,X.Offset+272,Y.Offset+30,Value_Color);
   name = prefix +"TrendRatio";           objectCreate(name,DAYS+" Day Trend%"                             ,X.Offset    ,Y.Offset+46,Title_Color);
   name = prefix +"TrendRatio_Value";     objectCreate(name,DoubleToStr(Trend_Range_Ratio*Point*100,3)+" %",X.Offset+90 ,Y.Offset+46,Value_Color);
   name = prefix +"PPO TDay";             objectCreate(name,"PipPower Today"                               ,X.Offset+145,Y.Offset   ,Title_Color);
   name = prefix +"PP_tValue";            objectCreate(name,DoubleToStr(PPO_TDay_0/Point,0)+" Pips"        ,X.Offset+272,Y.Offset   ,Value_Color);
   name = prefix +"PPO YDay";             objectCreate(name,"PipPower Yesterday"                           ,X.Offset+145,Y.Offset+14,Title_Color);
   name = prefix +"PP_yValue";            objectCreate(name,DoubleToStr(PPO_YDay_0/Point,0)+" Pips"        ,X.Offset+272,Y.Offset+14,Value_Color);
   
     
   return(0);
}
  
  
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+  

void objectCreate(string name,string text,int x,int y,color theColor)
{
   if (Window > (WindowsTotal()-1))
       Window = (WindowsTotal()-1);

   ObjectDelete(name);
   ObjectCreate(name, OBJ_LABEL, Window, 0, 0);
     ObjectSetText(name,text,Font_Size, "Arial Bold", theColor);
     ObjectSet(name, OBJPROP_CORNER,0);
     ObjectSet(name, OBJPROP_XDISTANCE, x);
     ObjectSet(name, OBJPROP_YDISTANCE, y); 
   
}